using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace EQIA.EQIDL
{
    public partial class Label : Control
    {
        private int myEQType;
        private bool myNoWrap, myAlignCenter, myAlignRight;

        [XmlElement("EQType", IsNullable = false)]
        [Browsable(true), Description("EQType used to interact with this element.")]
        public int EQType { get { return myEQType; } set { myEQType = value; } }

        [XmlElement("NoWrap", IsNullable = false)]
        [Browsable(true), Description("Don't allow this label's text to wrap")]
        public bool NoWrap { get { return myNoWrap; } set { myNoWrap = value; } }

        [XmlElement("AlignCenter", IsNullable = false)]
        [Browsable(true), Description("Center the text. By default, the text is left-justified")]
        public bool AlignCenter { get { return myAlignCenter; } set { myAlignCenter = value; } }

        [XmlElement("AlignRight", IsNullable = false)]
        [Browsable(true), Description("Right-justify the text. If AlignCenter is true, this value is ignored.")]
        public bool AlignRight { get { return myAlignRight; } set { myAlignRight = value; } }

        public Label() : this(null) { }
        public Label(EQInterface eqInterface) : base(eqInterface) { }

        protected override void SetProperties(object obj)
        {
            base.SetProperties(obj);

            Label temp_label = obj as Label;
            if (temp_label != null)
            {
                EQType = temp_label.EQType;
                NoWrap = temp_label.NoWrap;
                AlignCenter = temp_label.AlignCenter;
                AlignRight = temp_label.AlignRight;
            }
        }
    }
}
